[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# RaiseLastOSError

Raise an exception with the last Operating System error code.

## Declaration

Source position: osutilsh.inc line 22

`procedure RaiseLastOSError; overload; procedure RaiseLastOSError(`
`LastError: Integer`
`); overload;`

## Description

RaiseLastOSError raises an EOSError exception with the error code returned by GetLastOSError. If the Error code is nonzero, then the corresponding error message will be returned. If the error code is zero, a standard message will be returned.

## Errors

This procedure may not be implemented on all platforms. If it is not, then a normal Exception will be raised.

## See also

EOSError |  | Operating system error.
GetLastOSError |  | Return the last code from the OS.
Exception |  | Base class of all exceptions.